/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { GeographicMapSeriesHostDescription } from "./GeographicMapSeriesHostDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class GeographicXYTriangulatingSeriesDescription extends GeographicMapSeriesHostDescription {
    constructor() {
        super();
        this.bx = null;
        this.bw = null;
        this.by = null;
        this.bz = null;
        this.b0 = null;
        this.b1 = null;
    }
    get_type() {
        return "GeographicXYTriangulatingSeries";
    }
    get longitudeMemberPath() {
        return this.bx;
    }
    set longitudeMemberPath(a) {
        this.bx = a;
        this.e("LongitudeMemberPath");
    }
    get latitudeMemberPath() {
        return this.bw;
    }
    set latitudeMemberPath(a) {
        this.bw = a;
        this.e("LatitudeMemberPath");
    }
    get trianglesSourceRef() {
        return this.by;
    }
    set trianglesSourceRef(a) {
        this.by = a;
        this.e("TrianglesSourceRef");
    }
    get triangleVertexMemberPath1() {
        return this.bz;
    }
    set triangleVertexMemberPath1(a) {
        this.bz = a;
        this.e("TriangleVertexMemberPath1");
    }
    get triangleVertexMemberPath2() {
        return this.b0;
    }
    set triangleVertexMemberPath2(a) {
        this.b0 = a;
        this.e("TriangleVertexMemberPath2");
    }
    get triangleVertexMemberPath3() {
        return this.b1;
    }
    set triangleVertexMemberPath3(a) {
        this.b1 = a;
        this.e("TriangleVertexMemberPath3");
    }
}
GeographicXYTriangulatingSeriesDescription.$t = markType(GeographicXYTriangulatingSeriesDescription, 'GeographicXYTriangulatingSeriesDescription', GeographicMapSeriesHostDescription.$);
